namespace org.accordproject.payment.endorsement;
using org.accordproject.money;
using AccordProject.Concerto;
[AccordProject.Concerto.Type(Namespace = "org.accordproject.payment.endorsement", Version = "0.3.0", Name = "Endorsement")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Endorsement : Transaction {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.payment.endorsement@0.3.0.Endorsement";
   public DigitalMonetaryAmount paymentAmount { get; set; }
   public System.DateTime dueDate { get; set; }
   public float? dueBlockNumber { get; set; }
   public string payeeAddress { get; set; }
   public string smartContractAddress { get; set; }
   public string transfereeAddress { get; set; }
}
